summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2001-11-22 08:50:58 +0000
committerJim Meyering <jim@meyering.net>2001-11-22 08:50:58 +0000
commitcc76ce042c6a45931495f6159d231091152aeabe (patch)
treedcd0486f80f1edba67bd449311eaa95f08599dc5 /tests
parent5d0c6e59ac674ca28c0dd4661f004a060486f9ed (diff)
downloadcoreutils-cc76ce042c6a45931495f6159d231091152aeabe.tar.xz
*** empty log message ***
Diffstat (limited to 'tests')
-rwxr-xr-xtests/misc/csplit14
1 files changed, 11 insertions, 3 deletions
diff --git a/tests/misc/csplit b/tests/misc/csplit
index 536ffd513..19c817a2a 100755
--- a/tests/misc/csplit
+++ b/tests/misc/csplit
@@ -1,5 +1,5 @@
#!/bin/sh
-# csplit could get a failed assertion prior to 2.0.17
+# various csplit tests
if test "$VERBOSE" = yes; then
set -x
@@ -24,16 +24,24 @@ fi
fail=0
+# csplit could get a failed assertion to 2.0.17
(echo a; echo; echo) > in
csplit in '/^$/' 2 > out || fail=1
-
cat <<EOF > exp
2
0
2
EOF
-
cmp out exp || fail=1
test $fail = 1 && diff out exp 2> /dev/null
+rm -f in out exp
+
+# csplit would infloop
+(echo; echo a) > in
+csplit in '/a/-1' '{*}' > out || fail=1
+cat <<EOF > exp
+0
+3
+EOF
(exit $fail); exit